Bug 1279171 - [abrt] kernel paging request at __find_stripe [raid456] [NEEDINFO]
[abrt] kernel paging request at __find_stripe [raid456]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0ed2fb96fa21a335dc6eca9cccd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 06:13 EST by pzeppegno
Modified: 2016-10-26 12:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (pzeppegno)


Attachments (Terms of Use)
File: dmesg (72.33 KB, text/plain)
2015-11-08 06:13 EST, pzeppegno
no flags Details

  None (edit)
Description pzeppegno 2015-11-08 06:13:01 EST
Description of problem:
running the weekly raid scrub job.

the system has been reporting for a while a mismatch_cnt in the raid5 array. I don't know if it's related but for sure I would like to know more about how to fix it.

Additional info:
reporter:       libreport-2.6.3
BUG: unable to handle kernel paging request at 0000000000100038
IP: [<ffffffffa060d47f>] __find_stripe+0x5f/0xa0 [raid456]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: cfg80211 vhost_net vhost macvtap macvlan xfs bnep bluetooth rfkill xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw rc_dib0700_rc5 dib7000p dvb_usb_dib0700 dib7000m dib0090 dib0070 dib3000mc dibx000_common dvb_usb dm_cache_smq dm_cache_mq dm_cache dm_persistent_data dm_bio_prison libcrc32c raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq coretemp iTCO_wdt gpio_ich
 iTCO_vendor_support snd_hda_codec_analog snd_hda_codec_generic kvm_intel kvm dvb_pll cx22702 cx88_dvb cx88_vp3054_i2c videobuf2_dvb dvb_core ir_lirc_codec ir_xmp_decoder lirc_dev ir_mce_kbd_decoder ir_sharp_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc5_decoder ir_rc6_decoder ir_nec_decoder rc_cinergy_1400 joydev i2c_i801 snd_hda_intel snd_hda_codec cx8802 cx8800 cx88xx snd_hda_core videobuf2_core snd_hwdep videobuf2_dma_sg snd_seq videobuf2_memops tveeprom rc_core snd_seq_device v4l2_common videodev snd_pcm lpc_ich media snd_timer snd soundcore shpchp asus_atk0110 acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc ata_generic pata_acpi nouveau serio_raw video mxm_wmi wmi i2c_algo_bit firewire_ohci uas drm_kms_helper usb_storage firewire_core skge crc_itu_t
 ttm hid_logitech drm ff_memless pata_jmicron
CPU: 0 PID: 30644 Comm: md0_resync Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/P5B-Deluxe, BIOS 1238    09/30/2008
task: ffff880004461c40 ti: ffff88010cacc000 task.ti: ffff88010cacc000
RIP: 0010:[<ffffffffa060d47f>]  [<ffffffffa060d47f>] __find_stripe+0x5f/0xa0 [raid456]
RSP: 0018:ffff88010cacfb18  EFLAGS: 00010006
RAX: 0000000000100000 RBX: 00000000aac4d3f8 RCX: 0000000000000000
RDX: 00000000000003f8 RSI: 00000000aac4d3f8 RDI: ffff8800ba9a1000
RBP: ffff88010cacfb48 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000400 R11: 0000000000000001 R12: 0000000000000000
R13: ffff8800ba9a1000 R14: 0000000000000007 R15: ffff8800ba9a1000
FS:  0000000000000000(0000) GS:ffff8801bfc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000100038 CR3: 0000000002fc4000 CR4: 00000000000006f0
Stack:
 0000000100000092 0000000000000000 ffff8800ba9a1020 ffff8800ba9a1000
 ffff8800ba9a1024 0000000000000000 ffff88010cacfc18 ffffffffa0610d1d
 ffff88010cacfb98 ffffffff810df218 0000000000000007 ffff8801b7f35ea0
Call Trace:
 [<ffffffffa0610d1d>] get_active_stripe+0x12d/0x730 [raid456]
 [<ffffffff810df218>] ? __wake_up+0x48/0x60
 [<ffffffffa060cc9e>] ? release_stripe+0xae/0x140 [raid456]
 [<ffffffff815f0706>] ? bitmap_start_sync+0x56/0xf0
 [<ffffffffa0611f6e>] sync_request+0x10e/0x390 [raid456]
 [<ffffffff813b0935>] ? find_next_bit+0x15/0x20
 [<ffffffff81773c9a>] ? is_mddev_idle+0xb7/0x133
 [<ffffffff815e710e>] md_do_sync+0x8ae/0xee0
 [<ffffffff810df970>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffff815e3649>] md_thread+0x139/0x150
 [<ffffffff815e3510>] ? find_pers+0x80/0x80
 [<ffffffff810bc8b8>] kthread+0xd8/0xf0
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817795df>] ret_from_fork+0x3f/0x70
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
Code: 02 48 85 c0 75 25 31 c0 f6 05 2f 08 01 00 04 75 3a 48 83 c4 18 5b 41 5c 41 5d 5d c3 66 44 39 60 30 74 ee 48 8b 00 48 85 c0 74 db <48> 3b 58 38 75 f2 eb e9 48 89 f2 48 c7 c7 98 dc 61 a0 48 c7 c6 
RIP  [<ffffffffa060d47f>] __find_stripe+0x5f/0xa0 [raid456]
Comment 1 pzeppegno 2015-11-08 06:13:09 EST
Created attachment 1091246 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:31:21 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:47:12 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.